@font-face {
  font-family: "JetBrains Mono";
  src: url("../font/JetBrainsMono-VariableFont_wght.ttf") format("truetype");
  font-weight: 100 800;
  font-display: swap;
}

:root {
  font-size: 13px;

  --color-primary: #f45d48;
  --color-bg: white;
  --color-fg: #222;
  --color-mute: #727272;
  --color-border: #ccc;

  @media (prefers-color-scheme: dark) {
    --color-bg: #080808;
    --color-fg: #f5f5f5;
    --color-mute: #787878;
    --color-border: #444;
  }

  --padding: 2rem;

  @media screen and (min-width: 800px) {
    font-size: 14px;

    --padding: 4rem;
  }
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;

  &::selection {
    background-color: var(--color-primary);
    color: var(--color-fg);
  }
}

body {
  font-family: "JetBrains Mono", monospace;
  line-height: 1.6;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;

  background-color: var(--color-bg);
  color: var(--color-fg);

  padding: var(--padding);
}

sup {
  line-height: 1;
}

a {
  color: var(--color-primary);
  text-decoration: none;

  &:hover {
    text-decoration: underline;
  }
}

.fleuron {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
  max-width: 400px;

  margin-bottom: 2rem;

  img {
    height: 28px;
    width: auto;
  }
}

.bio {
  margin-bottom: 2rem;

  & > p + p {
    margin-top: 0.75rem;
  }
}

.quote {
  max-width: 42ch;
  hyphens: auto;
  color: var(--color-mute);
  margin-bottom: var(--padding);
}

.posts {
  max-width: 400px;
  border-top: 1px dashed var(--color-border);
  padding-top: var(--padding);

  & ol {
    margin-top: 0.75rem;

    & > li + li {
      margin-top: 0.75rem;
    }
  }
}

ol,
ul {
  & ::marker {
    color: var(--color-mute);
  }
}

ol {
  padding-left: 2rem;
}

ul {
  padding-left: 1rem;
}

article {
  max-width: 70ch;

  & h1 {
    font-size: 1rem;
    text-align: left;
  }

  & hr {
    border: none;
    border-top: 1px dashed var(--color-border);
    margin: 2rem 0;
  }

  & > * + * {
    margin-top: 1.5rem;
  }
}
